%define upstream_name phonon-backend-vlc

Summary:   VLC backend for Phonon
Name:      phonon-vlc
Version:   0.9.1
Release:   %mkrel 2
License:   LGPLv2
Group:     Video
URL:       https://projects.kde.org/projects/kdesupport/phonon/phonon-vlc
Source0:   http://download.kde.org/stable/phonon/%{upstream_name}/%{version}/src/%{upstream_name}-%{version}.tar.xz

BuildRequires: vlc-devel
BuildRequires: phonon-devel
BuildRequires: kde4-macros
BuildRequires: automoc4

BuildRequires: kf5-macros
BuildRequires: phonon4qt5-devel
BuildRequires: %{_lib}qt5core-devel
BuildRequires: %{_lib}qt5gui-devel
BuildRequires: %{_lib}qt5widgets-devel

Provides: phonon-backend
Provides: %{upstream_name}

Requires:	vlc
Requires:   phonon
Obsoletes: phonon-xine

%description
This package allows Phonon (the KDE media library) to use VLC
for audio and video playback.

%files
%doc COPYING.LIB AUTHORS
%_kde_libdir/kde4/plugins/phonon_backend/phonon_vlc.so
%_kde_services/phononbackends/vlc.desktop

#--------------------------------------------------------------------

%package -n phonon4qt5-vlc
Summary: VLC backend for Phonon Qt5
Group:   Video

Requires: vlc

Provides: phonon4qt5-backend
Provides: phonon4qt5-backend-vlc

%description -n phonon4qt5-vlc
This package allows Phonon Qt5 (the KDE media library) to use VLC
for audio and video playback.

%files -n phonon4qt5-vlc

%doc COPYING.LIB AUTHORS
%_qt5_plugindir/phonon4qt5_backend/phonon_vlc.so

#--------------------------------------------------------------------

%prep
%setup -qn phonon-backend-vlc-%{version}
%apply_patches

%build
mkdir -p Qt4
pushd Qt4
    %cmake_kde4 -DCMAKE_BUILD_TYPE=Release ../..
    %make
popd

mkdir -p Qt5
pushd Qt5
    %cmake_kf5 -DPHONON_BUILD_PHONON4QT5:BOOL=ON -DCMAKE_BUILD_TYPE=Release ../..
    %make
popd

%install
rm -rf %buildroot
%makeinstall_std -C Qt4/build
%makeinstall_std -C Qt5/build


%changelog
* Mon Feb 26 2018 adrianomorselli <adrianomorselli> 0.9.1-2uplos2018
- update
